IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/52
Addresses2^76
/64 networks4,096
- Network
2001:db8:3:9000::/52- First address
2001:db8:3:9000::- Last address
2001:db8:3:9fff:ffff:ffff:ffff:ffff- Addresses
- 75,557,863,725,914,323,419,136 (2^76)
- /64 networks (LANs)
- 4,096
- Full form
2001:0db8:0003:9000:0000:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
9.3.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:3:9000::/52 makes 256 subnets of /60.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:3:9000::/60 | 2001:db8:3:900f:ffff:ffff:ffff:ffff |
| 2 | 2001:db8:3:9010::/60 | 2001:db8:3:901f:ffff:ffff:ffff:ffff |
| 3 | 2001:db8:3:9020::/60 | 2001:db8:3:902f:ffff:ffff:ffff:ffff |
| 4 | 2001:db8:3:9030::/60 | 2001:db8:3:903f:ffff:ffff:ffff:ffff |
| 5 | 2001:db8:3:9040::/60 | 2001:db8:3:904f:ffff:ffff:ffff:ffff |
| 6 | 2001:db8:3:9050::/60 | 2001:db8:3:905f:ffff:ffff:ffff:ffff |
| 7 | 2001:db8:3:9060::/60 | 2001:db8:3:906f:ffff:ffff:ffff:ffff |
| 8 | 2001:db8:3:9070::/60 | 2001:db8:3:907f:ffff:ffff:ffff:ffff |
| 9 | 2001:db8:3:9080::/60 | 2001:db8:3:908f:ffff:ffff:ffff:ffff |
| 10 | 2001:db8:3:9090::/60 | 2001:db8:3:909f:ffff:ffff:ffff:ffff |
| 11 | 2001:db8:3:90a0::/60 | 2001:db8:3:90af:ffff:ffff:ffff:ffff |
| 12 | 2001:db8:3:90b0::/60 | 2001:db8:3:90bf:ffff:ffff:ffff:ffff |
| 13 | 2001:db8:3:90c0::/60 | 2001:db8:3:90cf:ffff:ffff:ffff:ffff |
| 14 | 2001:db8:3:90d0::/60 | 2001:db8:3:90df:ffff:ffff:ffff:ffff |
| 15 | 2001:db8:3:90e0::/60 | 2001:db8:3:90ef:ffff:ffff:ffff:ffff |
| 16 | 2001:db8:3:90f0::/60 | 2001:db8:3:90ff:ffff:ffff:ffff:ffff |
| 17 | 2001:db8:3:9100::/60 | 2001:db8:3:910f:ffff:ffff:ffff:ffff |
| 18 | 2001:db8:3:9110::/60 | 2001:db8:3:911f:ffff:ffff:ffff:ffff |
| 19 | 2001:db8:3:9120::/60 | 2001:db8:3:912f:ffff:ffff:ffff:ffff |
| 20 | 2001:db8:3:9130::/60 | 2001:db8:3:913f:ffff:ffff:ffff:ffff |
| 21 | 2001:db8:3:9140::/60 | 2001:db8:3:914f:ffff:ffff:ffff:ffff |
| 22 | 2001:db8:3:9150::/60 | 2001:db8:3:915f:ffff:ffff:ffff:ffff |
| 23 | 2001:db8:3:9160::/60 | 2001:db8:3:916f:ffff:ffff:ffff:ffff |
| 24 | 2001:db8:3:9170::/60 | 2001:db8:3:917f:ffff:ffff:ffff:ffff |
| 25 | 2001:db8:3:9180::/60 | 2001:db8:3:918f:ffff:ffff:ffff:ffff |
| 26 | 2001:db8:3:9190::/60 | 2001:db8:3:919f:ffff:ffff:ffff:ffff |
| 27 | 2001:db8:3:91a0::/60 | 2001:db8:3:91af:ffff:ffff:ffff:ffff |
| 28 | 2001:db8:3:91b0::/60 | 2001:db8:3:91bf:ffff:ffff:ffff:ffff |
| 29 | 2001:db8:3:91c0::/60 | 2001:db8:3:91cf:ffff:ffff:ffff:ffff |
| 30 | 2001:db8:3:91d0::/60 | 2001:db8:3:91df:ffff:ffff:ffff:ffff |
| 31 | 2001:db8:3:91e0::/60 | 2001:db8:3:91ef:ffff:ffff:ffff:ffff |
| 32 | 2001:db8:3:91f0::/60 | 2001:db8:3:91ff:ffff:ffff:ffff:ffff |
| 33 | 2001:db8:3:9200::/60 | 2001:db8:3:920f:ffff:ffff:ffff:ffff |
| 34 | 2001:db8:3:9210::/60 | 2001:db8:3:921f:ffff:ffff:ffff:ffff |
| 35 | 2001:db8:3:9220::/60 | 2001:db8:3:922f:ffff:ffff:ffff:ffff |
| 36 | 2001:db8:3:9230::/60 | 2001:db8:3:923f:ffff:ffff:ffff:ffff |
| 37 | 2001:db8:3:9240::/60 | 2001:db8:3:924f:ffff:ffff:ffff:ffff |
| 38 | 2001:db8:3:9250::/60 | 2001:db8:3:925f:ffff:ffff:ffff:ffff |
| 39 | 2001:db8:3:9260::/60 | 2001:db8:3:926f:ffff:ffff:ffff:ffff |
| 40 | 2001:db8:3:9270::/60 | 2001:db8:3:927f:ffff:ffff:ffff:ffff |
| 41 | 2001:db8:3:9280::/60 | 2001:db8:3:928f:ffff:ffff:ffff:ffff |
| 42 | 2001:db8:3:9290::/60 | 2001:db8:3:929f:ffff:ffff:ffff:ffff |
| 43 | 2001:db8:3:92a0::/60 | 2001:db8:3:92af:ffff:ffff:ffff:ffff |
| 44 | 2001:db8:3:92b0::/60 | 2001:db8:3:92bf:ffff:ffff:ffff:ffff |
| 45 | 2001:db8:3:92c0::/60 | 2001:db8:3:92cf:ffff:ffff:ffff:ffff |
| 46 | 2001:db8:3:92d0::/60 | 2001:db8:3:92df:ffff:ffff:ffff:ffff |
| 47 | 2001:db8:3:92e0::/60 | 2001:db8:3:92ef:ffff:ffff:ffff:ffff |
| 48 | 2001:db8:3:92f0::/60 | 2001:db8:3:92ff:ffff:ffff:ffff:ffff |
| 49 | 2001:db8:3:9300::/60 | 2001:db8:3:930f:ffff:ffff:ffff:ffff |
| 50 | 2001:db8:3:9310::/60 | 2001:db8:3:931f:ffff:ffff:ffff:ffff |
| 51 | 2001:db8:3:9320::/60 | 2001:db8:3:932f:ffff:ffff:ffff:ffff |
| 52 | 2001:db8:3:9330::/60 | 2001:db8:3:933f:ffff:ffff:ffff:ffff |
| 53 | 2001:db8:3:9340::/60 | 2001:db8:3:934f:ffff:ffff:ffff:ffff |
| 54 | 2001:db8:3:9350::/60 | 2001:db8:3:935f:ffff:ffff:ffff:ffff |
| 55 | 2001:db8:3:9360::/60 | 2001:db8:3:936f:ffff:ffff:ffff:ffff |
| 56 | 2001:db8:3:9370::/60 | 2001:db8:3:937f:ffff:ffff:ffff:ffff |
| 57 | 2001:db8:3:9380::/60 | 2001:db8:3:938f:ffff:ffff:ffff:ffff |
| 58 | 2001:db8:3:9390::/60 | 2001:db8:3:939f:ffff:ffff:ffff:ffff |
| 59 | 2001:db8:3:93a0::/60 | 2001:db8:3:93af:ffff:ffff:ffff:ffff |
| 60 | 2001:db8:3:93b0::/60 | 2001:db8:3:93bf:ffff:ffff:ffff:ffff |
| 61 | 2001:db8:3:93c0::/60 | 2001:db8:3:93cf:ffff:ffff:ffff:ffff |
| 62 | 2001:db8:3:93d0::/60 | 2001:db8:3:93df:ffff:ffff:ffff:ffff |
| 63 | 2001:db8:3:93e0::/60 | 2001:db8:3:93ef:ffff:ffff:ffff:ffff |
| 64 | 2001:db8:3:93f0::/60 | 2001:db8:3:93ff:ffff:ffff:ffff:ffff |
| 65 | 2001:db8:3:9400::/60 | 2001:db8:3:940f:ffff:ffff:ffff:ffff |
| 66 | 2001:db8:3:9410::/60 | 2001:db8:3:941f:ffff:ffff:ffff:ffff |
| 67 | 2001:db8:3:9420::/60 | 2001:db8:3:942f:ffff:ffff:ffff:ffff |
| 68 | 2001:db8:3:9430::/60 | 2001:db8:3:943f:ffff:ffff:ffff:ffff |
| 69 | 2001:db8:3:9440::/60 | 2001:db8:3:944f:ffff:ffff:ffff:ffff |
| 70 | 2001:db8:3:9450::/60 | 2001:db8:3:945f:ffff:ffff:ffff:ffff |
| 71 | 2001:db8:3:9460::/60 | 2001:db8:3:946f:ffff:ffff:ffff:ffff |
| 72 | 2001:db8:3:9470::/60 | 2001:db8:3:947f:ffff:ffff:ffff:ffff |
| 73 | 2001:db8:3:9480::/60 | 2001:db8:3:948f:ffff:ffff:ffff:ffff |
| 74 | 2001:db8:3:9490::/60 | 2001:db8:3:949f:ffff:ffff:ffff:ffff |
| 75 | 2001:db8:3:94a0::/60 | 2001:db8:3:94af:ffff:ffff:ffff:ffff |
| 76 | 2001:db8:3:94b0::/60 | 2001:db8:3:94bf:ffff:ffff:ffff:ffff |
| 77 | 2001:db8:3:94c0::/60 | 2001:db8:3:94cf:ffff:ffff:ffff:ffff |
| 78 | 2001:db8:3:94d0::/60 | 2001:db8:3:94df:ffff:ffff:ffff:ffff |
| 79 | 2001:db8:3:94e0::/60 | 2001:db8:3:94ef:ffff:ffff:ffff:ffff |
| 80 | 2001:db8:3:94f0::/60 | 2001:db8:3:94ff:ffff:ffff:ffff:ffff |
| 81 | 2001:db8:3:9500::/60 | 2001:db8:3:950f:ffff:ffff:ffff:ffff |
| 82 | 2001:db8:3:9510::/60 | 2001:db8:3:951f:ffff:ffff:ffff:ffff |
| 83 | 2001:db8:3:9520::/60 | 2001:db8:3:952f:ffff:ffff:ffff:ffff |
| 84 | 2001:db8:3:9530::/60 | 2001:db8:3:953f:ffff:ffff:ffff:ffff |
| 85 | 2001:db8:3:9540::/60 | 2001:db8:3:954f:ffff:ffff:ffff:ffff |
| 86 | 2001:db8:3:9550::/60 | 2001:db8:3:955f:ffff:ffff:ffff:ffff |
| 87 | 2001:db8:3:9560::/60 | 2001:db8:3:956f:ffff:ffff:ffff:ffff |
| 88 | 2001:db8:3:9570::/60 | 2001:db8:3:957f:ffff:ffff:ffff:ffff |
| 89 | 2001:db8:3:9580::/60 | 2001:db8:3:958f:ffff:ffff:ffff:ffff |
| 90 | 2001:db8:3:9590::/60 | 2001:db8:3:959f:ffff:ffff:ffff:ffff |
| 91 | 2001:db8:3:95a0::/60 | 2001:db8:3:95af:ffff:ffff:ffff:ffff |
| 92 | 2001:db8:3:95b0::/60 | 2001:db8:3:95bf:ffff:ffff:ffff:ffff |
| 93 | 2001:db8:3:95c0::/60 | 2001:db8:3:95cf:ffff:ffff:ffff:ffff |
| 94 | 2001:db8:3:95d0::/60 | 2001:db8:3:95df:ffff:ffff:ffff:ffff |
| 95 | 2001:db8:3:95e0::/60 | 2001:db8:3:95ef:ffff:ffff:ffff:ffff |
| 96 | 2001:db8:3:95f0::/60 | 2001:db8:3:95ff:ffff:ffff:ffff:ffff |
| 97 | 2001:db8:3:9600::/60 | 2001:db8:3:960f:ffff:ffff:ffff:ffff |
| 98 | 2001:db8:3:9610::/60 | 2001:db8:3:961f:ffff:ffff:ffff:ffff |
| 99 | 2001:db8:3:9620::/60 | 2001:db8:3:962f:ffff:ffff:ffff:ffff |
| 100 | 2001:db8:3:9630::/60 | 2001:db8:3:963f:ffff:ffff:ffff:ffff |
| 101 | 2001:db8:3:9640::/60 | 2001:db8:3:964f:ffff:ffff:ffff:ffff |
| 102 | 2001:db8:3:9650::/60 | 2001:db8:3:965f:ffff:ffff:ffff:ffff |
| 103 | 2001:db8:3:9660::/60 | 2001:db8:3:966f:ffff:ffff:ffff:ffff |
| 104 | 2001:db8:3:9670::/60 | 2001:db8:3:967f:ffff:ffff:ffff:ffff |
| 105 | 2001:db8:3:9680::/60 | 2001:db8:3:968f:ffff:ffff:ffff:ffff |
| 106 | 2001:db8:3:9690::/60 | 2001:db8:3:969f:ffff:ffff:ffff:ffff |
| 107 | 2001:db8:3:96a0::/60 | 2001:db8:3:96af:ffff:ffff:ffff:ffff |
| 108 | 2001:db8:3:96b0::/60 | 2001:db8:3:96bf:ffff:ffff:ffff:ffff |
| 109 | 2001:db8:3:96c0::/60 | 2001:db8:3:96cf:ffff:ffff:ffff:ffff |
| 110 | 2001:db8:3:96d0::/60 | 2001:db8:3:96df:ffff:ffff:ffff:ffff |
| 111 | 2001:db8:3:96e0::/60 | 2001:db8:3:96ef:ffff:ffff:ffff:ffff |
| 112 | 2001:db8:3:96f0::/60 | 2001:db8:3:96ff:ffff:ffff:ffff:ffff |
| 113 | 2001:db8:3:9700::/60 | 2001:db8:3:970f:ffff:ffff:ffff:ffff |
| 114 | 2001:db8:3:9710::/60 | 2001:db8:3:971f:ffff:ffff:ffff:ffff |
| 115 | 2001:db8:3:9720::/60 | 2001:db8:3:972f:ffff:ffff:ffff:ffff |
| 116 | 2001:db8:3:9730::/60 | 2001:db8:3:973f:ffff:ffff:ffff:ffff |
| 117 | 2001:db8:3:9740::/60 | 2001:db8:3:974f:ffff:ffff:ffff:ffff |
| 118 | 2001:db8:3:9750::/60 | 2001:db8:3:975f:ffff:ffff:ffff:ffff |
| 119 | 2001:db8:3:9760::/60 | 2001:db8:3:976f:ffff:ffff:ffff:ffff |
| 120 | 2001:db8:3:9770::/60 | 2001:db8:3:977f:ffff:ffff:ffff:ffff |
| 121 | 2001:db8:3:9780::/60 | 2001:db8:3:978f:ffff:ffff:ffff:ffff |
| 122 | 2001:db8:3:9790::/60 | 2001:db8:3:979f:ffff:ffff:ffff:ffff |
| 123 | 2001:db8:3:97a0::/60 | 2001:db8:3:97af:ffff:ffff:ffff:ffff |
| 124 | 2001:db8:3:97b0::/60 | 2001:db8:3:97bf:ffff:ffff:ffff:ffff |
| 125 | 2001:db8:3:97c0::/60 | 2001:db8:3:97cf:ffff:ffff:ffff:ffff |
| 126 | 2001:db8:3:97d0::/60 | 2001:db8:3:97df:ffff:ffff:ffff:ffff |
| 127 | 2001:db8:3:97e0::/60 | 2001:db8:3:97ef:ffff:ffff:ffff:ffff |
| 128 | 2001:db8:3:97f0::/60 | 2001:db8:3:97ff:ffff:ffff:ffff:ffff |
| 129 | 2001:db8:3:9800::/60 | 2001:db8:3:980f:ffff:ffff:ffff:ffff |
| 130 | 2001:db8:3:9810::/60 | 2001:db8:3:981f:ffff:ffff:ffff:ffff |
| 131 | 2001:db8:3:9820::/60 | 2001:db8:3:982f:ffff:ffff:ffff:ffff |
| 132 | 2001:db8:3:9830::/60 | 2001:db8:3:983f:ffff:ffff:ffff:ffff |
| 133 | 2001:db8:3:9840::/60 | 2001:db8:3:984f:ffff:ffff:ffff:ffff |
| 134 | 2001:db8:3:9850::/60 | 2001:db8:3:985f:ffff:ffff:ffff:ffff |
| 135 | 2001:db8:3:9860::/60 | 2001:db8:3:986f:ffff:ffff:ffff:ffff |
| 136 | 2001:db8:3:9870::/60 | 2001:db8:3:987f:ffff:ffff:ffff:ffff |
| 137 | 2001:db8:3:9880::/60 | 2001:db8:3:988f:ffff:ffff:ffff:ffff |
| 138 | 2001:db8:3:9890::/60 | 2001:db8:3:989f:ffff:ffff:ffff:ffff |
| 139 | 2001:db8:3:98a0::/60 | 2001:db8:3:98af:ffff:ffff:ffff:ffff |
| 140 | 2001:db8:3:98b0::/60 | 2001:db8:3:98bf:ffff:ffff:ffff:ffff |
| 141 | 2001:db8:3:98c0::/60 | 2001:db8:3:98cf:ffff:ffff:ffff:ffff |
| 142 | 2001:db8:3:98d0::/60 | 2001:db8:3:98df:ffff:ffff:ffff:ffff |
| 143 | 2001:db8:3:98e0::/60 | 2001:db8:3:98ef:ffff:ffff:ffff:ffff |
| 144 | 2001:db8:3:98f0::/60 | 2001:db8:3:98ff:ffff:ffff:ffff:ffff |
| 145 | 2001:db8:3:9900::/60 | 2001:db8:3:990f:ffff:ffff:ffff:ffff |
| 146 | 2001:db8:3:9910::/60 | 2001:db8:3:991f:ffff:ffff:ffff:ffff |
| 147 | 2001:db8:3:9920::/60 | 2001:db8:3:992f:ffff:ffff:ffff:ffff |
| 148 | 2001:db8:3:9930::/60 | 2001:db8:3:993f:ffff:ffff:ffff:ffff |
| 149 | 2001:db8:3:9940::/60 | 2001:db8:3:994f:ffff:ffff:ffff:ffff |
| 150 | 2001:db8:3:9950::/60 | 2001:db8:3:995f:ffff:ffff:ffff:ffff |
| 151 | 2001:db8:3:9960::/60 | 2001:db8:3:996f:ffff:ffff:ffff:ffff |
| 152 | 2001:db8:3:9970::/60 | 2001:db8:3:997f:ffff:ffff:ffff:ffff |
| 153 | 2001:db8:3:9980::/60 | 2001:db8:3:998f:ffff:ffff:ffff:ffff |
| 154 | 2001:db8:3:9990::/60 | 2001:db8:3:999f:ffff:ffff:ffff:ffff |
| 155 | 2001:db8:3:99a0::/60 | 2001:db8:3:99af:ffff:ffff:ffff:ffff |
| 156 | 2001:db8:3:99b0::/60 | 2001:db8:3:99bf:ffff:ffff:ffff:ffff |
| 157 | 2001:db8:3:99c0::/60 | 2001:db8:3:99cf:ffff:ffff:ffff:ffff |
| 158 | 2001:db8:3:99d0::/60 | 2001:db8:3:99df:ffff:ffff:ffff:ffff |
| 159 | 2001:db8:3:99e0::/60 | 2001:db8:3:99ef:ffff:ffff:ffff:ffff |
| 160 | 2001:db8:3:99f0::/60 | 2001:db8:3:99ff:ffff:ffff:ffff:ffff |
| 161 | 2001:db8:3:9a00::/60 | 2001:db8:3:9a0f:ffff:ffff:ffff:ffff |
| 162 | 2001:db8:3:9a10::/60 | 2001:db8:3:9a1f:ffff:ffff:ffff:ffff |
| 163 | 2001:db8:3:9a20::/60 | 2001:db8:3:9a2f:ffff:ffff:ffff:ffff |
| 164 | 2001:db8:3:9a30::/60 | 2001:db8:3:9a3f:ffff:ffff:ffff:ffff |
| 165 | 2001:db8:3:9a40::/60 | 2001:db8:3:9a4f:ffff:ffff:ffff:ffff |
| 166 | 2001:db8:3:9a50::/60 | 2001:db8:3:9a5f:ffff:ffff:ffff:ffff |
| 167 | 2001:db8:3:9a60::/60 | 2001:db8:3:9a6f:ffff:ffff:ffff:ffff |
| 168 | 2001:db8:3:9a70::/60 | 2001:db8:3:9a7f:ffff:ffff:ffff:ffff |
| 169 | 2001:db8:3:9a80::/60 | 2001:db8:3:9a8f:ffff:ffff:ffff:ffff |
| 170 | 2001:db8:3:9a90::/60 | 2001:db8:3:9a9f:ffff:ffff:ffff:ffff |
| 171 | 2001:db8:3:9aa0::/60 | 2001:db8:3:9aaf:ffff:ffff:ffff:ffff |
| 172 | 2001:db8:3:9ab0::/60 | 2001:db8:3:9abf:ffff:ffff:ffff:ffff |
| 173 | 2001:db8:3:9ac0::/60 | 2001:db8:3:9acf:ffff:ffff:ffff:ffff |
| 174 | 2001:db8:3:9ad0::/60 | 2001:db8:3:9adf:ffff:ffff:ffff:ffff |
| 175 | 2001:db8:3:9ae0::/60 | 2001:db8:3:9aef:ffff:ffff:ffff:ffff |
| 176 | 2001:db8:3:9af0::/60 | 2001:db8:3:9aff:ffff:ffff:ffff:ffff |
| 177 | 2001:db8:3:9b00::/60 | 2001:db8:3:9b0f:ffff:ffff:ffff:ffff |
| 178 | 2001:db8:3:9b10::/60 | 2001:db8:3:9b1f:ffff:ffff:ffff:ffff |
| 179 | 2001:db8:3:9b20::/60 | 2001:db8:3:9b2f:ffff:ffff:ffff:ffff |
| 180 | 2001:db8:3:9b30::/60 | 2001:db8:3:9b3f:ffff:ffff:ffff:ffff |
| 181 | 2001:db8:3:9b40::/60 | 2001:db8:3:9b4f:ffff:ffff:ffff:ffff |
| 182 | 2001:db8:3:9b50::/60 | 2001:db8:3:9b5f:ffff:ffff:ffff:ffff |
| 183 | 2001:db8:3:9b60::/60 | 2001:db8:3:9b6f:ffff:ffff:ffff:ffff |
| 184 | 2001:db8:3:9b70::/60 | 2001:db8:3:9b7f:ffff:ffff:ffff:ffff |
| 185 | 2001:db8:3:9b80::/60 | 2001:db8:3:9b8f:ffff:ffff:ffff:ffff |
| 186 | 2001:db8:3:9b90::/60 | 2001:db8:3:9b9f:ffff:ffff:ffff:ffff |
| 187 | 2001:db8:3:9ba0::/60 | 2001:db8:3:9baf:ffff:ffff:ffff:ffff |
| 188 | 2001:db8:3:9bb0::/60 | 2001:db8:3:9bbf:ffff:ffff:ffff:ffff |
| 189 | 2001:db8:3:9bc0::/60 | 2001:db8:3:9bcf:ffff:ffff:ffff:ffff |
| 190 | 2001:db8:3:9bd0::/60 | 2001:db8:3:9bdf:ffff:ffff:ffff:ffff |
| 191 | 2001:db8:3:9be0::/60 | 2001:db8:3:9bef:ffff:ffff:ffff:ffff |
| 192 | 2001:db8:3:9bf0::/60 | 2001:db8:3:9bff:ffff:ffff:ffff:ffff |
| 193 | 2001:db8:3:9c00::/60 | 2001:db8:3:9c0f:ffff:ffff:ffff:ffff |
| 194 | 2001:db8:3:9c10::/60 | 2001:db8:3:9c1f:ffff:ffff:ffff:ffff |
| 195 | 2001:db8:3:9c20::/60 | 2001:db8:3:9c2f:ffff:ffff:ffff:ffff |
| 196 | 2001:db8:3:9c30::/60 | 2001:db8:3:9c3f:ffff:ffff:ffff:ffff |
| 197 | 2001:db8:3:9c40::/60 | 2001:db8:3:9c4f:ffff:ffff:ffff:ffff |
| 198 | 2001:db8:3:9c50::/60 | 2001:db8:3:9c5f:ffff:ffff:ffff:ffff |
| 199 | 2001:db8:3:9c60::/60 | 2001:db8:3:9c6f:ffff:ffff:ffff:ffff |
| 200 | 2001:db8:3:9c70::/60 | 2001:db8:3:9c7f:ffff:ffff:ffff:ffff |
| 201 | 2001:db8:3:9c80::/60 | 2001:db8:3:9c8f:ffff:ffff:ffff:ffff |
| 202 | 2001:db8:3:9c90::/60 | 2001:db8:3:9c9f:ffff:ffff:ffff:ffff |
| 203 | 2001:db8:3:9ca0::/60 | 2001:db8:3:9caf:ffff:ffff:ffff:ffff |
| 204 | 2001:db8:3:9cb0::/60 | 2001:db8:3:9cbf:ffff:ffff:ffff:ffff |
| 205 | 2001:db8:3:9cc0::/60 | 2001:db8:3:9ccf:ffff:ffff:ffff:ffff |
| 206 | 2001:db8:3:9cd0::/60 | 2001:db8:3:9cdf:ffff:ffff:ffff:ffff |
| 207 | 2001:db8:3:9ce0::/60 | 2001:db8:3:9cef:ffff:ffff:ffff:ffff |
| 208 | 2001:db8:3:9cf0::/60 | 2001:db8:3:9cff:ffff:ffff:ffff:ffff |
| 209 | 2001:db8:3:9d00::/60 | 2001:db8:3:9d0f:ffff:ffff:ffff:ffff |
| 210 | 2001:db8:3:9d10::/60 | 2001:db8:3:9d1f:ffff:ffff:ffff:ffff |
| 211 | 2001:db8:3:9d20::/60 | 2001:db8:3:9d2f:ffff:ffff:ffff:ffff |
| 212 | 2001:db8:3:9d30::/60 | 2001:db8:3:9d3f:ffff:ffff:ffff:ffff |
| 213 | 2001:db8:3:9d40::/60 | 2001:db8:3:9d4f:ffff:ffff:ffff:ffff |
| 214 | 2001:db8:3:9d50::/60 | 2001:db8:3:9d5f:ffff:ffff:ffff:ffff |
| 215 | 2001:db8:3:9d60::/60 | 2001:db8:3:9d6f:ffff:ffff:ffff:ffff |
| 216 | 2001:db8:3:9d70::/60 | 2001:db8:3:9d7f:ffff:ffff:ffff:ffff |
| 217 | 2001:db8:3:9d80::/60 | 2001:db8:3:9d8f:ffff:ffff:ffff:ffff |
| 218 | 2001:db8:3:9d90::/60 | 2001:db8:3:9d9f:ffff:ffff:ffff:ffff |
| 219 | 2001:db8:3:9da0::/60 | 2001:db8:3:9daf:ffff:ffff:ffff:ffff |
| 220 | 2001:db8:3:9db0::/60 | 2001:db8:3:9dbf:ffff:ffff:ffff:ffff |
| 221 | 2001:db8:3:9dc0::/60 | 2001:db8:3:9dcf:ffff:ffff:ffff:ffff |
| 222 | 2001:db8:3:9dd0::/60 | 2001:db8:3:9ddf:ffff:ffff:ffff:ffff |
| 223 | 2001:db8:3:9de0::/60 | 2001:db8:3:9def:ffff:ffff:ffff:ffff |
| 224 | 2001:db8:3:9df0::/60 | 2001:db8:3:9dff:ffff:ffff:ffff:ffff |
| 225 | 2001:db8:3:9e00::/60 | 2001:db8:3:9e0f:ffff:ffff:ffff:ffff |
| 226 | 2001:db8:3:9e10::/60 | 2001:db8:3:9e1f:ffff:ffff:ffff:ffff |
| 227 | 2001:db8:3:9e20::/60 | 2001:db8:3:9e2f:ffff:ffff:ffff:ffff |
| 228 | 2001:db8:3:9e30::/60 | 2001:db8:3:9e3f:ffff:ffff:ffff:ffff |
| 229 | 2001:db8:3:9e40::/60 | 2001:db8:3:9e4f:ffff:ffff:ffff:ffff |
| 230 | 2001:db8:3:9e50::/60 | 2001:db8:3:9e5f:ffff:ffff:ffff:ffff |
| 231 | 2001:db8:3:9e60::/60 | 2001:db8:3:9e6f:ffff:ffff:ffff:ffff |
| 232 | 2001:db8:3:9e70::/60 | 2001:db8:3:9e7f:ffff:ffff:ffff:ffff |
| 233 | 2001:db8:3:9e80::/60 | 2001:db8:3:9e8f:ffff:ffff:ffff:ffff |
| 234 | 2001:db8:3:9e90::/60 | 2001:db8:3:9e9f:ffff:ffff:ffff:ffff |
| 235 | 2001:db8:3:9ea0::/60 | 2001:db8:3:9eaf:ffff:ffff:ffff:ffff |
| 236 | 2001:db8:3:9eb0::/60 | 2001:db8:3:9ebf:ffff:ffff:ffff:ffff |
| 237 | 2001:db8:3:9ec0::/60 | 2001:db8:3:9ecf:ffff:ffff:ffff:ffff |
| 238 | 2001:db8:3:9ed0::/60 | 2001:db8:3:9edf:ffff:ffff:ffff:ffff |
| 239 | 2001:db8:3:9ee0::/60 | 2001:db8:3:9eef:ffff:ffff:ffff:ffff |
| 240 | 2001:db8:3:9ef0::/60 | 2001:db8:3:9eff:ffff:ffff:ffff:ffff |
| 241 | 2001:db8:3:9f00::/60 | 2001:db8:3:9f0f:ffff:ffff:ffff:ffff |
| 242 | 2001:db8:3:9f10::/60 | 2001:db8:3:9f1f:ffff:ffff:ffff:ffff |
| 243 | 2001:db8:3:9f20::/60 | 2001:db8:3:9f2f:ffff:ffff:ffff:ffff |
| 244 | 2001:db8:3:9f30::/60 | 2001:db8:3:9f3f:ffff:ffff:ffff:ffff |
| 245 | 2001:db8:3:9f40::/60 | 2001:db8:3:9f4f:ffff:ffff:ffff:ffff |
| 246 | 2001:db8:3:9f50::/60 | 2001:db8:3:9f5f:ffff:ffff:ffff:ffff |
| 247 | 2001:db8:3:9f60::/60 | 2001:db8:3:9f6f:ffff:ffff:ffff:ffff |
| 248 | 2001:db8:3:9f70::/60 | 2001:db8:3:9f7f:ffff:ffff:ffff:ffff |
| 249 | 2001:db8:3:9f80::/60 | 2001:db8:3:9f8f:ffff:ffff:ffff:ffff |
| 250 | 2001:db8:3:9f90::/60 | 2001:db8:3:9f9f:ffff:ffff:ffff:ffff |
| 251 | 2001:db8:3:9fa0::/60 | 2001:db8:3:9faf:ffff:ffff:ffff:ffff |
| 252 | 2001:db8:3:9fb0::/60 | 2001:db8:3:9fbf:ffff:ffff:ffff:ffff |
| 253 | 2001:db8:3:9fc0::/60 | 2001:db8:3:9fcf:ffff:ffff:ffff:ffff |
| 254 | 2001:db8:3:9fd0::/60 | 2001:db8:3:9fdf:ffff:ffff:ffff:ffff |
| 255 | 2001:db8:3:9fe0::/60 | 2001:db8:3:9fef:ffff:ffff:ffff:ffff |
| 256 | 2001:db8:3:9ff0::/60 | 2001:db8:3:9fff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |